{% load static %}
<!DOCTYPE html>
<html lang="it">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
  <link rel="shortcut icon" type="image/png" href="{% static 'images/favicon.png' %}" >
  <link rel="stylesheet" href="{% static 'css/base.css' %}">
  {% block 'head' %}
  {% endblock %}
</head>

<body class="align-items-center bg-secondary min-vh-100 d-flex flex-column mx-0 px-0">
  <header class="sticky-top mb-1 border-bottom border-dark bg-warning text-dark" style="width: 100%;">
  <a href="/" class="header-link float-start">
    <img class="ms-1 my-1" style="height: 2.5rem;" src="{% static 'images/favicon.png' %}"/> Home Page
  </a>
  <div class="mb-0 px-3 py-1 dropdown float-end">
    <a class="header-link" data-bs-toggle="dropdown">
      {{ user.socialaccount_set.all.0.extra_data.name }}
      <img class="ms-1 border border-dark rounded-circle" style="height: 2.5rem;" src="{{ user.socialaccount_set.all.0.get_avatar_url }}"/>
    </a>
    <ul class="dropdown-menu dropdown-menu-end text-small">
      <li><hr class="dropdown-divider"></li>
      <li><a class="dropdown-item" href="{% url 'account_logout' %}">Esci</a></li>
    </ul>
  </div>
  </header>
  
  <main class="container row flex-grow-1 bg-light p-3 text-center d-block">
    {% block 'main' %}
    {% endblock %}
  </main>

  {% include "footer.html" %}

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
  <script>
    setTimeout(function(){
      window.location.reload();
    }, 2500);
  </script>
</body>

</html>